# Gimp.color_list_names

    @accepts([Gegl.Color])
    @returns([unicode])
    def color_list_names(colors):
        # Python wrapper for gimp_color_list_names()

Returns the list of [SVG 1.0 color keywords](https://www.w3.org/TR/SVG/types.html) that is recognized by [func@color_parse_name].

The returned strings are const and must not be freed. Only the array must be freed with `g_free()`.

The optional colors arrays must be freed with [func@color_array_free] when they are no longer needed.

Since 2.2

colors

  return location for an array of [class@Gegl.Color]

Returns